Bug 459890 - Review Request: rubygem-markaby - Markup as Ruby, write HTML in your native Ruby tongue
Review Request: rubygem-markaby - Markup as Ruby, write HTML in your native R...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: S.A. Hartsuiker
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-23 16:10 EDT by Jeroen van Meeuwen
Modified: 2008-10-30 08:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-30 08:52:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
s.a.hartsuiker: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Jeroen van Meeuwen 2008-09-08 10:48:00 EDT
Added the required ruby(abi) = 1.8;

New SPEC: http://www.kanarip.com/custom/SPECS/rubygem-markaby.spec
New SRPM: http://www.kanarip.com/custom/f10/SRPMS/rubygem-markaby-0.5-2.fc10.src.rpm
Comment 2 S.A. Hartsuiker 2008-10-22 17:45:26 EDT
RPM Lint: quiet
Package name: ok
Spec file: ok
License: wrong
Actual License: LGPLv2.1
%doc License: n/a
Spec file language: ok
Spec file readable: ok
Upstream source vs. used tarball: ok (md5: 234f6ad9e25c14801fdeb08dce13ecf0)
Compile and Build:
 - F-8: ok
 - F-9: ok
 - F-10: ok
 - rawhide: ok 
 - EL-5: n/a

Applicable Package Guidelines: ok

Locales: n/a
Shared libs: n/a

Relocatable: no
Directory and file ownership: ok
No duplicate files in %files: 
File Permissions: ok
Macro usage: ok
Code vs. Content: ok
(Large) Documentation: n/a
%doc affecting runtime: ok
Header files in -devel package: n/a
Static Libraries in -static package: n/a
pkgconfig Requires: n/a
Library files: n/a
Devel requires base package: n/a
.la libtool archives: n/a
Duplicate ownership of files/directories: ok
Remove BuildRoot: ok
UTF-8 filenames: ok

License tag is wrong, in setup.rb the license is set to LGPL v2.1
Fix the license please, otherwise the package is ok.
Comment 3 Jeroen van Meeuwen 2008-10-25 07:04:45 EDT
The setup.rb isn't part of the markaby package; it's sort of a Makefile, shared between numerous projects. It doesn't indicate the rest of the gem's license.
Comment 4 S.A. Hartsuiker 2008-10-25 19:54:33 EDT
ok, in that case the package is APPROVED.
Comment 5 Jeroen van Meeuwen 2008-10-25 20:08:22 EDT
New Package CVS Request
=======================
Package Name: rubygem-markaby
Short Description: Markup as Ruby, write HTML in your native Ruby tongue
Owners: kanarip
Branches: EL-4 EL-5 F-8 F-9 devel
InitialCC:
Comment 6 Dennis Gilmore 2008-10-27 00:27:13 EDT
CVS Done
Comment 7 Fedora Update System 2008-10-27 19:46:53 EDT
rubygem-markaby-0.5-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/rubygem-markaby-0.5-2.fc9
Comment 8 Fedora Update System 2008-10-27 19:46:56 EDT
rubygem-markaby-0.5-2.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/rubygem-markaby-0.5-2.fc8
Comment 9 Fedora Update System 2008-10-30 08:51:58 EDT
rubygem-markaby-0.5-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-10-30 08:55:43 EDT
rubygem-markaby-0.5-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.